メインコンテンツまでスキップ

プロファイルの取得


説明​

指定した ID のプロファイルを取得します。

必要権限​

なし

URL​

GET /system/profiles/{profileIds}

パスパラメーター​

名前型必須か説明
profileIdsstring○プロファイルID

クエリパラメーター​

名前型必須か説明
includesstring×追加で取得するプロファイルの詳細情報
※includesを指定しない場合は、フィールド自体取得されません。

カンマ区切りで以下の値を複数指定できます。
・itemTypeUses:アイテムタイプ
・fieldTypeUses:フィールドタイプ
・statusTypeUses:ステータスタイプ
・defaultFieldConfigs:デフォルトフィールドの設定
・projectProperties:プロジェクトのプロパティ

レスポンス​

名前型説明
ーProfile[]取得したプロファイル

エラーケース​

なし。

特記事項​

なし。

サンプル​

プロファイルIDを指定してプロファイル情報を取得する​

GET /system/profiles/5?includes=itemTypeUses,fieldTypeUses,statusTypeUses

Response
200 OK

[
{
"isBaseProfileUpdated": true,
"itemTypeUses": [
・
・
・
{
"profileId": "5",
"name": "タスク",
"itemTypeId": "3",
"isDerived": true,
"canConfigureAtDerivedProfile": true,
"itemType": null,
"fieldTypeUses": [
{
"itemTypeUseId": "19",
"fieldTypeId": "1",
"isDerived": true,
"canConfigureAtDerivedProfile": true,
"fieldType": null,
"displayOrder": 0.0125,
"isDeleted": false,
"config": {
},
"isCustomized": false,
"id": "1215",
"createdAt": "2023-06-29T07:29:30Z",
"createdBy": "0",
"updatedAt": "2023-06-28T11:15:45Z",
"updatedBy": "21"
},
・
・
・
{
"itemTypeUseId": "19",
"fieldTypeId": "132",
"isDerived": true,
"canConfigureAtDerivedProfile": true,
"fieldType": null,
"displayOrder": 0.97500000000007,
"isDeleted": false,
"config": {
},
"isCustomized": false,
"id": "10554",
"createdAt": "2023-04-24T02:41:04Z",
"createdBy": "21",
"updatedAt": "2023-06-28T11:15:45Z",
"updatedBy": "21"
}
],
"statusTypeUses": [
{
"profileId": "5",
"itemTypeUseId": "19",
"statusTypeId": "1",
"isDerived": true,
"statusType": null,
"displayOrder": 0.166666666666667,
"progress": 0.0,
"isDeleted": false,
"id": "33",
"createdAt": "2023-06-29T07:29:30Z",
"createdBy": "0",
"updatedAt": "2023-06-28T11:15:45Z",
"updatedBy": "21"
},
・
・
・
{
"profileId": "5",
"itemTypeUseId": "19",
"statusTypeId": "4",
"isDerived": true,
"statusType": null,
"displayOrder": 0.666666666666667,
"progress": null,
"isDeleted": false,
"id": "36",
"createdAt": "2023-06-29T07:29:30Z",
"createdBy": "0",
"updatedAt": "2023-06-28T11:15:45Z",
"updatedBy": "21"
}
],
"config": {
"name": "タスク",
"allowedSubItemTypeIds": null,
"allowedTimeEntryCategoryIds": null,
"allowedProcessCategoryIds": null,
"itemTypeId": "3"
},
"formLayouts": [
],
"displayOrder": 0.5,
"isDeleted": false,
"initialStatusTypeId": "1",
"isCustomized": false,
"isStatusCustomized": false,
"id": "19",
"createdAt": "2023-06-29T07:29:30Z",
"createdBy": "0",
"updatedAt": "2023-06-28T11:15:45Z",
"updatedBy": "21"
},
・
・
・
],
"name": "プロファイル",
"versionName": "1.00",
"code": "",
"description": "",
"revisedContent": "",
"profileNumber": "5",
"revision": 1,
"baseProfileId": "30",
"baseProfileNumber": "27",
"baseProfileName": "開発部共通のプロファイル",
"isProjectPrivate": true,
"privateProjectId": "4",
"isPublished": false,
"profileCategoryId": "0",
"profileCategoryName": null,
"isDeleted": false,
"timeEntryCategoryRequiredInTimeEntry": false,
"processCategoryRequiredInTimeEntry": false,
"lastBaseAppliedAt": "2023-06-21T11:15:45Z",
"configUpdatedAt": "2023-07-29T21:31:25Z",
"isCustomized": false,
"id": "5",
"createdAt": "2023-06-22T07:29:30Z",
"createdBy": "0",
"updatedAt": "2023-07-29T21:31:25Z",
"updatedBy": "21"
}
]

型定義​

Profile​

プロファイル型の定義は、次のリンクを参照ください。: 「Profile」